All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
INPUTMUX: Input Multiplexing Driver

## Overview

The MCUXpresso SDK provides a driver for the Input multiplexing (INPUTMUX).
It configures the inputs to the pin interrupt block, DMA trigger, and frequency measure function. Once configured, the clock is not needed for the inputmux.

# Input Multiplexing Driver operation

INPUTMUX_AttachSignal function configures the specified input

# Typical use case

Refer to the driver examples codes located at <SDK_ROOT>/boards/<BOARD>/driver_examples/inputmux

## Files

file | fsl_inputmux.h
file | fsl_inputmux_connections.h

## Functions

void | INPUTMUX_Init (INPUTMUX_Type *base)
| Initialize INPUTMUX peripheral. More...
void | INPUTMUX_AttachSignal (INPUTMUX_Type *base, uint32_t index, inputmux_connection_t connection)
| Attaches a signal. More...
void | INPUTMUX_Deinit (INPUTMUX_Type *base)
| Deinitialize INPUTMUX peripheral. More...

## Input multiplexing connections

enum | inputmux_connection_t { kINPUTMUX_DmaChannel0TrigoutToTriginChannels = 0U + (DMA_OTRIG_PMUX_ID << PMUX_SHIFT) , kINPUTMUX_DmaChannel24TrigoutToTriginChannels = 24U + (DMA_OTRIG_PMUX_ID << PMUX_SHIFT) , kINPUTMUX_DebugHaltedToSct0 = 9U + (SCT0_PMUX_ID << PMUX_SHIFT) }
| INPUTMUX connections type. More...
#define | DMA_OTRIG_PMUX_ID 0x00U
| Periphinmux IDs.
#define | SCT0_PMUX_ID 0x20U
#define | DMA_TRIG0_PMUX_ID 0x40U
#define | PMUX_SHIFT 20U

## Driver version

#define | FSL_INPUTMUX_DRIVER_VERSION (MAKE_VERSION(2, 0, 4))
| Group interrupt driver version for SDK.

## Enumeration Type Documentation

enum inputmux_connection_t

Enumerator
kINPUTMUX_DmaChannel0TrigoutToTriginChannels | DMA OTRIG.
kINPUTMUX_DmaChannel24TrigoutToTriginChannels | SCT INMUX.
kINPUTMUX_DebugHaltedToSct0 | DMA ITRIG.

## Function Documentation

void INPUTMUX_Init | ( | INPUTMUX_Type * | base | ) |

This function enables the INPUTMUX clock.

Parameters

  base | Base address of the INPUTMUX peripheral.

Return values

  None. |

void INPUTMUX_AttachSignal | ( | INPUTMUX_Type * | base,
|  | uint32_t | index,
|  | inputmux_connection_t | connection
| ) |  |

This function gates the INPUTPMUX clock.

Parameters

  base | Base address of the INPUTMUX peripheral.
  index | Destination peripheral to attach the signal to.
  connection | Selects connection.

Return values

  None. |

void INPUTMUX_Deinit | ( | INPUTMUX_Type * | base | ) |

This function disables the INPUTMUX clock.

Parameters

  base | Base address of the INPUTMUX peripheral.

Return values

  None. |